## libopenid-ruby 2.1.8debian

=== debian/changelog ===
libopenid-ruby (2.1.8debian-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * debian/control: 
    - Added Vcs-* fields.

  [ Paul van Tilburg ]
  * debian/control:
    - Bumped standards-version to 3.8.4; no changes required.
    - Added quilt to the build-depends.
  * debian/patches: 
    - Restructured to suit quilt.
  * debian/rules:
    - Replaced simple-patchsys.mk by patchsys-quilt.mk.
  * debian/source/format:
    - Set the 3.0 (quilt) format for now. 

  [ Antonio Terceiro ]
  * debian/repack.sh:
   - Fix location of repackaged tarball
   - Remove original tarball after repackaging, but keep the originally
     downloaded file.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sun, 11 Apr 2010 20:59:44 -0300

libopenid-ruby (2.1.7debian-1) unstable; urgency=low

  * new upstream release
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 09 Jul 2009 03:48:04 -0700

libopenid-ruby (2.1.6debian-1) unstable; urgency=low

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

  [ Ryan Niebur ]
  * new upstream release
  * add a repack script to do the repacking
  * remove debian/README.Debian-sources, the script takes care of it now
  * add dversionmangle
  * add README.source
  * add myself to Uploaders
  * depend on misc:Depends
  * Debian Policy 3.8.1

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 29 Apr 2009 17:22:20 -0700

libopenid-ruby (2.1.2debian-1) unstable; urgency=low

  * debian/patches/01-use-rubygems-correctly.diff: removed (already fixed by
    upstream)
  * debian/patches/10-use-locally-installed-hmac.diff: fix references in
    upstream source to use system-installed ruby-hmac library instead of its
    locally-bundled (which was removed from the upstream tarball). The files
    in the pristine tarball are identical to the ones provided by
    libhmac-ruby.
  * debian/rules:
    + do not remove hmac by hand anymore. Instead, test that they
      are not there (they should be removed from tarball).
    + do not compress Javascript, Ruby and ERB files in examples.
  * added debian/README.Debian-sources explaining the process to obtain a
    tarball from upstream's pristine one.
  * debian/control:
    + removed dependency on libyadis-ruby1.8, since it is now being maintained
      inside openid itself. (libyadis-ruby must be removed from the archive,
      then).
    + bumped standards version to 3.8.0. No changes needed.
    + mentioned documentation and examples in description for libopenid-ruby.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sat, 19 Jul 2008 21:01:37 -0300

libopenid-ruby (1.1.4-3) unstable; urgency=low

  * debian/watch: pick only tarballs with an actual version number
    on the name.
  * debian/TODO: removed
  * debian/patches/01-use-rubygems-correctly.diff: fix usage of deprecated
    rubygems 'require_gem'. (Closes: #470282)
  * debian/libopenid-ruby.overrides: removed. It seems that lintian won't
    complain about the empty files in the examples anymore.
  * debian/libopenid-ruby.dirs: removed (contained only the overrides dir)

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Thu, 13 Mar 2008 12:23:53 -0300

libopenid-ruby (1.1.4-2) unstable; urgency=low

  [ Antonio Terceiro ]
  * debian/copyright: listing copyright information for every source file to
    which it's available. Thanks to Joerg Jaspert for pointing this out in
    behalf of the ftpmaster team.
  * debian/rules:
    * remove hmac files already provided by libhmac-ruby package on
      install target
    * installing documentation on Ruby-version-independent package
  * debian/watch: pointing to upstream's new tarball location
  * debian/control: added "XS-Dm-Upload-Allowed: yes" to allow Debian
    Maintainers to upload this package.

  [ Paul van Tilburg ]
  * Added Vcs-* fields.
  * Bumped the standards version to 3.7.3; no changes required.

  [ Antonio Terceiro ]
  * upstream's examples contain empty files: added lintian overrides so
    lintian does not keep reminding us of this fact.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Fri, 21 Dec 2007 15:06:08 -0300

libopenid-ruby (1.1.4-1) unstable; urgency=low

  * Initial release (Closes: #419778)

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 17 Apr 2007 20:00:36 -0300
