=== debian/control ===
Source: libopenid-ruby
Section: ruby
Priority: optional
Maintainer: Antonio Terceiro <terceiro@softwarelivre.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Paul van Tilburg <paulvt@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
Build-Depends: ruby-pkg-tools (>= 0.8), cdbs, debhelper (>= 5), quilt
Build-Depends-Indep: ruby1.8
Standards-Version: 3.8.4
Homepage: http://www.openidenabled.com/openid/libraries/ruby
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libopenid-ruby/
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libopenid-ruby/

Package: libopenid-ruby
Architecture: all
Depends: ${misc:Depends}, libopenid-ruby1.8
Description: Ruby library for verifying and serving OpenID identities
 Ruby OpenID makes it easy to add OpenID authentication to your web
 applications.
 This library is a port of the Python OpenID library, and features:
 .
  * API for verifying OpenID identities (OpenID::Consumer)
  * API for serving OpenID identities (OpenID::Server)
  * Consumer and server support for extensions, including simple registration
  * Yadis 1.0 and OpenID 1.0 service discovery, including server fallback
  * Does not depend on underlying web framework
  * Multiple storage implementations (Filesystem, SQL)
  * Comprehensive test suite
  * Example code to help you get started, including:
    - WEBrick based consumer
    - Ruby on rails based server
    - OpenIDLoginGenerator for quickly creating a rails app that uses OpenID
      for authentication
    - ActiveRecord adapter for using an SQL store in rails
  .
  This is a dummy package depending on the package for the current version of
  the Ruby interpreter, and also contains documentation and usage examples.

Package: libopenid-ruby1.8
Architecture: all
Depends: ${misc:Depends}, libruby1.8, libhmac-ruby1.8
Description: Ruby 1.8 library for verifying and serving OpenID identities
 Ruby OpenID makes it easy to add OpenID authentication to your web
 applications.
 This library is a port of the Python OpenID library, and features:
 .
  * API for verifying OpenID identities (OpenID::Consumer)
  * API for serving OpenID identities (OpenID::Server)
  * Consumer and server support for extensions, including simple registration
  * Yadis 1.0 and OpenID 1.0 service discovery, including server fallback
  * Does not depend on underlying web framework
  * Multiple storage implementations (Filesystem, SQL)
  * Comprehensive test suite
  * Example code to help you get started, including:
    - WEBrick based consumer
    - Ruby on rails based server
    - OpenIDLoginGenerator for quickly creating a rails app that uses OpenID
      for authentication
    - ActiveRecord adapter for using an SQL store in rails
