=== debian/rules ===
#!/usr/bin/make -f
#
# CDBS file to build the Ruby OpenID package.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

clean::
	rm -rf html

# test that hmac files are not there
install/libopenid-ruby1.8::
	! test -e debian/libopenid-ruby1.8/usr/lib/ruby/1.8/hmac

binary-install/libopenid-ruby::
	rm debian/libopenid-ruby/usr/share/doc/libopenid-ruby/examples/rails_openid/public/javascripts/prototype.js
	dh_link -plibopenid-ruby /usr/share/javascript/prototype/prototype.js /usr/share/doc/libopenid-ruby/examples/rails_openid/public/javascripts/prototype.js

install/libopenid-ruby::
	# build docs
	cp -r doc html
	dh_install -plibopenid-ruby html usr/share/doc/libopenid-ruby

DEB_COMPRESS_EXCLUDE = .js .rb .rhtml
