=== debian/watch ===
version=3
options="dversionmangle=s/debian//" \
 http://openidenabled.com/files/ruby-openid/packages/ruby-openid-(\d*\.\d*\.\d*)\.tar\.bz2 debian sh debian/repack.sh
